Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class TableTransfer

    java.lang.Object
      org.apache.batik.ext.awt.image.TableTransfer

All Implemented Interfaces:
  TransferFunction

public class TableTransfer
extends java.lang.Object
implements TransferFunction

TableTransfer.java This class defines the Table type transfer function for the feComponentTransfer filter, as defined in chapter 15, section 11 of the SVG specification.

Field Summary
`byte[]` | `lutData` This byte array stores the lookuptable data
`int[]` | `tableValues` This int array is the input table values from the user

Constructor Summary
`TableTransfer(int[] tableValues)`

Method Summary
`byte[]` | `getLookupTable()` This method will return the lut data in order to construct a LookUpTable object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lutData

    public byte[] lutData

  This byte array stores the lookuptable data

### tableValues

    public int[] tableValues

  This int array is the input table values from the user

Constructor Detail

### TableTransfer

    public TableTransfer(int[] tableValues)

Method Detail

### getLookupTable

    public byte[] getLookupTable()

  This method will return the lut data in order to construct a LookUpTable object

  Specified by:
    `getLookupTable` in interface `TransferFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.